using System;

namespace Prepisivaci
{
    class Program
    {
        static double Rastojanje(int x1, int y1, int x2, int y2)
        {
            return Math.Sqrt((x2 - x1) * (x2 - x1) + (y2 - y1) * (y2 - y1));
        }
        static void Main(string[] args)
        {
            int brojtacaka = int.Parse(Console.ReadLine());
            int[] x = new int[brojtacaka];
            int[] y = new int[brojtacaka];
            for(int i = 0; i < brojtacaka; i++)
            {
                string[] s = Console.ReadLine().Split();
                x[i] = int.Parse(s[0]);
                y[i] = int.Parse(s[1]);
            }
            int br = 0;
            for(int i = 0; i < brojtacaka - 3; i++)
            {
                for(int j = i + 1; j < brojtacaka - 2; j++)
                {
                    for(int p = j + 1; p < brojtacaka - 1; p++)
                    {
                        for(int q = p + 1; q < brojtacaka; q++)
                        {
                            if(x[i] == x[j] || x[p] == x[q] || (y[i] - y[j]) / (x[i] - x[j]) == (y[p] - y[q]) / (x[p] - x[q]))
                            {
                                double a = Rastojanje(x[j], y[j], x[i], y[i]);
                                double b = Rastojanje(x[q], y[q], x[p], y[p]);
                                if(a == 2 * b || b == 2 * a)
                                {
                                    br++;
                                }
                            }
                            else if (x[i] == x[p] || x[j] == x[q] || (y[i] - y[p]) / (x[i] - x[p]) == (y[j] - y[q]) / (x[j] - x[q]))
                            {
                                double a = Rastojanje(x[p], y[p], x[i], y[i]);
                                double b = Rastojanje(x[q], y[q], x[j], y[j]);
                                if (a == 2 * b || b == 2 * a)
                                {
                                    br++;
                                }
                            }
                            else if (x[i] == x[q] || x[j] == x[p] || (y[i] - y[q]) / (x[i] - x[q]) == (y[j] - y[p]) / (x[j] - x[p]))
                            {
                                double a = Rastojanje(x[q], y[q], x[i], y[i]);
                                double b = Rastojanje(x[p], y[p], x[j], y[j]);
                                if (a == 2 * b || b == 2 * a)
                                {
                                    br++;
                                }
                            }
                        }
                    }
                }
            }
            Console.WriteLine(br);
        }
    }
}